---
title: firesTouchEvents
slug: Web/API/InputDeviceCapabilities/firesTouchEvents
tags:
  - needsTags
---
<p>{{SeeCompatTable}}{{APIRef()}}</p>

<p>The <strong><code>InputDeviceCapabilities.firesTouchEvents</code></strong> read-only property returns a {{jsxref("Boolean")}} that indicates whether the device dispatches touch events.</p>

<p>You can use this property to detect mouse events that represent an action that may already have been handled by touch event handlers. This doesn't necessarily mean the device is a touch screen. For example, stylus and mouse devices typically generate touch events on mobile browsers.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><code>var boolean = InputDeviceCapabilities.firesTouchEvents</code></pre>

<h3 id="Returns">Returns</h3>

<p>A {{jsxref('Boolean')}}</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">myButton.addEventListener('mousedown', function(e) {
  if (!e.sourceCapabilities.firesTouchEvents)
    myButton.classList.add("pressed");
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th>Specification</th>
			<th>Status</th>
			<th>Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('InputDeviceCapabilities','#dom-inputdevicecapabilities-firestouchevents','fireTouchEvents')}}</td>
			<td>{{Spec2('InputDeviceCapabilities')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.InputDeviceCapabilities.firesTouchEvents")}}</p>
